document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_4600 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-perl $GCA_TOOLS/literature_mining/scripts/literature_mining.ebisc.pl -user $IMS_USER -pass $IMS_PASS -outfile /nfs/production/reseq-info/work/rseqpipe/literature_mining_IDs/ebisc.tsv \
-&& perl $GCA_TOOLS/literature_mining/scripts/literature_mining.hipsci.pl -outfile /nfs/produ... | bash |
d_bash_4601 | ---
+++
@@ -4,6 +4,7 @@
BUILDROOT="$(git rev-parse --show-toplevel)"
pushd "$BUILDROOT" &>/dev/null
+ sudo chown root:root tests/credentials/*
./autogen.sh
./configure --disable-silent-rules --disable-man
make check | bash |
d_bash_4602 | ---
+++
@@ -4,10 +4,9 @@
. `dirname \`realpath $0\``/config.source
ssh $remote_server "sudo mkdir -p $remote_mountpoint"
-ssh $remote_server "sudo chown ubuntu:ubuntu $remote_mountpoint"
while true ; do
ssh -R $remote_port:localhost:22 $remote_server \
- "sshfs -p $remote_port $extra_args $drobo_user@loc... | bash |
d_bash_4603 | ---
+++
@@ -6,15 +6,15 @@
export GOPATH=$HOME/go
export PATH=$GOPATH/bin:$PATH
-mkdir -p $GOPATH
+mkdir -p "$GOPATH"
CF_DIR=$GOPATH/src/github.com/cloudfoundry/
-mkdir -p $CF_DIR
+mkdir -p "$CF_DIR"
echo "Moving libbuildpack onto the gopath..."
-cp -R libbuildpack $CF_DIR
+cp -R libbuildpack "$CF_DIR"
-cd... | bash |
d_bash_4604 | ---
+++
@@ -6,6 +6,6 @@
CURR=$PWD
cd /var/grassroot
-nohup java -Dspring.profiles.active=production -jar grassroot-webapp/target/grassroot-webapp-1.0-SNAPSHOT.jar --server.ssl.keyStore=app_grassroot_org_za.jks -Dorg.apache.activemq.SERIALIZABLE_PACKAGES="java.lang,java.util,java.sql,org.apache.activemq,za.org.gra... | bash |
d_bash_4605 | ---
+++
@@ -19,6 +19,6 @@
chmod 600 .travis/id_rsa
ssh-add .travis/id_rsa
-git remote add deis-$1 ssh://git@deis.$2.moz.works:2222/basket-$1.git
-git checkout -b travis-deploy-$1
-git push -f deis-$1 travis-deploy-$1:master
+git remote add deis-$1-$2 ssh://git@deis.$2.moz.works:2222/basket-$1.git
+git checkout -b... | bash |
d_bash_4606 | ---
+++
@@ -1,7 +1,6 @@
source ~/stackrc
uuids=$(openstack baremetal node list --format value -c UUID)
-node_type=yamaha
-disk=/dev/sda
+node_type=6048r
mkdir ~/$node_type
pushd ~/$node_type > /dev/null
for uuid in $uuids; do
@@ -12,7 +11,7 @@
fi
done
popd > /dev/null
-for f in $(ls ~/$node_type/); do ech... | bash |
d_bash_4607 | ---
+++
@@ -1,6 +1,7 @@
rm -rf $HUDSON_HOME/plugins/analysis-core*
-mvn install
+mvn install || { echo "Build failed"; exit 1; }
+
cp -f target/analysis-core.hpi $HUDSON_HOME/plugins/
cd $HUDSON_HOME | bash |
d_bash_4608 | ---
+++
@@ -15,7 +15,7 @@
if [ -z $NO_MAVEN_INIT ] && [ ! -d $1/.m2 ]; then
echo "Downloading Maven Cache ..."
MVN_CACHE_BASE=https://s3.amazonaws.com/geowave-deploy/cache-bundle
- CACHE_FILE=mvn-repo-cache-20170519.tar.gz
+ CACHE_FILE=mvn-repo-cache-20170810.tar.gz
pushd $1
curl -O $MVN_CACHE_BASE/$CACHE_FI... | bash |
d_bash_4609 | ---
+++
@@ -27,7 +27,7 @@
mkdir -p $PACKAGE_DIR
fi
- cp -r /vagrant/install_files/securedrop-grsec/DEBIAN $PACKAGE_DIR
+ cp -r /vagrant/install_files/securedrop-grsec/DEBIAN $PACKAGE_DIR/DEBIAN
# Create the deb package
dpkg-deb --build $PACKAGE_DIR | bash |
d_bash_4610 | ---
+++
@@ -20,10 +20,10 @@
function movematch () {
- new=`echo $1 | sed "s|$2|$3|g"`
+ new=`echo $3 | sed "s|$1|$2|g"`
newdir=$(dirname "${new}")
mkdir -p $newdir
- rsync -lptgoDvz --remove-source-files $1 $new
+ rsync -lptgoDvz --remove-source-files $3 $new
}
@@ -31,12 +31,12 @@
then
clear
echo -... | bash |
d_bash_4611 | ---
+++
@@ -6,12 +6,12 @@
sudo apt-get install -y cmake libncurses5-dev
sudo groupadd mysql
sudo useradd -g mysql mysql
-
+sudo chmod 0777 /tmp
# Install MySQL 5.6
sudo wget http://downloads.mysql.com/archives/get/file/mysql-$VERSION.tar.gz
sudo tar xzf mysql-$VERSION.tar.gz && sudo rm -f mysql-$VERSION.tar.gz
... | bash |
d_bash_4612 | ---
+++
@@ -15,6 +15,10 @@
function install_joblib {
pip install joblib
+}
+
+function install_matplotlib {
+ conda install matplotlib
}
function install_pylearn2 {
@@ -36,6 +40,7 @@
safe_call install_theano
safe_call install_joblib
+safe_call install matplotlib
safe_call install_pylearn2 "$EXTERN... | bash |
d_bash_4613 | ---
+++
@@ -1,12 +1,21 @@
#!/bin/bash
echo ">> Building...";
+IS_CI=false;
+if [[ ! -z "${CI}" ]]; then
+ IS_CI=true;
+fi
+echo "app-android/build.sh: IS_CI '${IS_CI}'";
+GRADLE_ARGS="";
+if [ $IS_CI = true ]; then
+ GRADLE_ARGS=" --console=plain";
+fi
DIRECTORY=$(basename ${PWD});
CUSTOM_SETTINGS_GRADLE_FILE="..... | bash |
d_bash_4614 | ---
+++
@@ -9,7 +9,8 @@
git config --global user.name "CoderDojo Foundation"
# Configure NPM
-echo "//registry.npmjs.org/:_authToken=$NPM_TOKEN" >> ~/.npmrc
+echo "_auth=$NPM_TOKEN" >> ~/.npmrc
+echo "email=webteam@coderdojo.com" >> ~/.npmrc
# Crowdin
crowdin-cli upload sources | bash |
d_bash_4615 | ---
+++
@@ -18,6 +18,12 @@
ERRORED=true
fi
+# Run a search for a non-existent string to verify that there are no results
+if [ "$(curl -s http://localhost/search.php?query=asdfghjkl |grep -c 'No results found')" -lt 1 ]; then
+ echo "ERROR: Search should be reporting no results found, but is not"
+ ERRO... | bash |
d_bash_4616 | ---
+++
@@ -16,5 +16,5 @@
SUFFIX=".exe"
fi
-go build -v -ldflags "-w -X=main.version $GOCHAN_VERSION -X main.buildtime_str=$GOCHAN_BUILDTIME -X main.verbose_str=$GOCHAN_VERBOSE" -o gochan$SUFFIX ./src
+go build -v -ldflags "-w -X main.version=$GOCHAN_VERSION -X main.buildtime_str=$GOCHAN_BUILDTIME -X main.verb... | bash |
d_bash_4617 | ---
+++
@@ -1,8 +1,8 @@
#!/usr/bin/env bash
if [[ $TEST_SUITE = "{'browsers':['PhantomJS'],'runNegTests':true,'runSimpleTests':true}" ]]; then
ls -la
- DisableSigning=false \
./gradlew \
+ -DisableSigning=false \
-Psigning.keyId=${KeyID} \
-Psigning.password=${KeyPassword} \
-Psigning.secretKeyRingFile=${... | bash |
d_bash_4618 | ---
+++
@@ -7,6 +7,9 @@
zplug 'b4b4r07/enhancd', of:enhancd.sh
zplug 'zsh-users/zsh-completions'
zplug 'zsh-users/zsh-autosuggestions'
+ zplug 'jpmens/jo', \
+ as:command, \
+ do:'cd ~/.zplug/repos/jpmens/jo && autoreconf -i && ./configure && make check && make install'
if ! zplug check --verbose... | bash |
d_bash_4619 | ---
+++
@@ -12,8 +12,12 @@
MESSAGE=$(git log -1 --pretty=%B)
echo Last commit message is "'"$MESSAGE"'"
RELEASE_DIR="$HOME/transempregos-portal-release"
-echo Cloning to "$RELEASE_DIR"
-git clone git@github.com:TransEmpregos/transempregos-portal-release.git "$RELEASE_DIR"
+if [ -d "$RELEASE_DIR" ]; then
+ echo ... | bash |
d_bash_4620 | ---
+++
@@ -6,10 +6,10 @@
CWD=$(pwd)
ln -sf ${CWD}/tmux/tmux.conf ~/.tmux.conf
-brew install rbenv
+brew install rbenv ruby-build
eval "$(rbenv init -)"
-rbenv install 2.5.3
-rbenv global 2.5.3
+rbenv install --skip-existing 2.6.3
+rbenv global 2.6.3
# Tmux plugin manager
git clone https://github.com/tmux-pl... | bash |
d_bash_4621 | ---
+++
@@ -10,4 +10,5 @@
git remote remove origin
git remote add origin git@github.com:adamcharnock/lightbus.git
+git pull
mkdocs gh-deploy | bash |
d_bash_4622 | ---
+++
@@ -6,7 +6,7 @@
echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u275-b01/OpenJDK8U-jdk_x64_linux_hotspot_8u275b01.tar.gz"
;;
java11)
- echo "https://github.com/AdoptOpenJDK/openjdk11-binaries/releases/download/jdk-11.0.9%2B11.1/OpenJDK11U-jdk_x64_linux_hotspot_11.0.9_11... | bash |
d_bash_4623 | ---
+++
@@ -8,6 +8,10 @@
if [[ "$1" == 'no-cron' ]]; then
exec /archive.sh
else
- echo -e "PREFIX=$PREFIX\nTAR_PARAMS=$TAR_PARAMS\n$CRON_SCHEDULE /archive.sh" | crontab -
+ CRON_ENV="PREFIX=$PREFIX"
+ if [ -n "$TAR_PARAMS" ]; then
+ CRON_ENV="$CRON_ENV\nTAR_PARAMS=$TAR_PARAMS"
+ fi
+ echo... | bash |
d_bash_4624 | ---
+++
@@ -8,7 +8,8 @@
export BITS_SERVICE_PRIVATE_ENDPOINT_IP=$(
bosh vms ${DEPLOYMENT_NAME} \
- | grep bits-service \
+ # TODO: grep for bits-service again, once bits-service is not co-located on api anymore
+ | grep api \
| grep -oE '[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+'
)
| bash |
d_bash_4625 | ---
+++
@@ -13,7 +13,6 @@
docker build -t lambci/lambda:${RUNTIME} .
done
-docker tag lambci/lambda:nodejs4.3 lambci/lambda:latest
for RUNTIME in $RUNTIMES; do
echo build-${RUNTIME}
@@ -22,4 +21,3 @@
docker build -t lambci/lambda:build-${RUNTIME} .
done
-docker tag lambci/lambda:build-nodejs4.3 lamb... | bash |
d_bash_4626 | ---
+++
@@ -47,3 +47,15 @@
git push origin $1
}
export -f tag
+
+# Test the response of a page over time.
+loop_curl()
+{
+ while [ 1 ]
+ do
+ echo -n '... '
+ curl -sL --max-time 10 -w "code=%{http_code} time=%{time_total}s redir=%{num_redirects} dest=%{url_effective}\\n" "$1" -o /dev/null
+ sleep 1
+ done
+... | bash |
d_bash_4627 | ---
+++
@@ -17,6 +17,7 @@
/opt/local/lib/node_modules\
/usr/local/lib/node_modules \
/usr/local/lib/npm-packages \
+ /opt/homebrew/lib/npm-packages \
/usr/local/include/node \
/usr/local/n \
~/n | bash |
d_bash_4628 | ---
+++
@@ -1,8 +1,8 @@
brew install tmux
+brew install git bash-completion
brew install ctags
brew install rbenv
brew install ruby-build
-brew install mysql
brew install ag
brew install sbt
brew install leiningen
@@ -20,7 +20,6 @@
brew cask install firefox
brew cask install adium
brew cask install hipchat
... | bash |
d_bash_4629 | ---
+++
@@ -24,4 +24,4 @@
echo export VCS_SHORT_HASH="\"${VCS_SHORT_HASH}\"" >> "${OUT_FILE}"
echo export VCS_DATE="\"${VCS_DATE}\"" >> "${OUT_FILE}"
-
+cp "$OUT_FILE" "$ARCHIVE_PATH" | bash |
d_bash_4630 | ---
+++
@@ -2,7 +2,7 @@
if [[ "$POSTGIS" == "2.0" ]]; then
psql -U postgres -d template_postgis -c "CREATE EXTENSION postgis;"
- psql -U postgres -d template_postgis -c "CREATE EXTENSION postgis_topology;"
+ psql -U postgres -d template_postgis -f "/usr/share/postgresql/9.1/contrib/postgis-2.0/legacy_gist.sql... | bash |
d_bash_4631 | ---
+++
@@ -1,5 +1,6 @@
-ROOT=/home/jason/Workspace/StoryTeller
+ROOT=/home/romulo/maarten/StoryTeller
LIB="$ROOT"/target
+DB="$ROOT"../query-builder-server
RESOURCES="$( cd $ROOT && cd .. && pwd)"/vua-resources
SERVER="http://145.100.58.139:50053"
@@ -9,3 +10,5 @@
QUERY=$2
java -Xmx2000m -cp "$LIB/StoryTell... | bash |
d_bash_4632 | ---
+++
@@ -8,10 +8,10 @@
libssl-dev libsqlite3-dev tk-dev libgdbm-dev libc6-dev \
libbz2-dev swig liblapack-dev libdbus-1-3 libglu1-mesa-dev
-cd ~/Downloads
+# cd ~/Downloads
wget "https://sourceforge.net/projects/pyqt/files/PyQt5/PyQt-$pyqt_rel/PyQt5_gpl-$pyqt_rel.tar.gz"
... | bash |
d_bash_4633 | ---
+++
@@ -25,6 +25,8 @@
echo "ERROR: Missing hostlist file."
exit 1
fi
+IP=`/usr/bin/curl -s http://169.254.169.254/latest/meta-data/local-ipv4`
#sed -i -e '/^[0-9]/d' /etc/hosts
+sed -i -e "/^${IP}/d" /etc/hosts
cat $HOSTLIST >>/etc/hosts
| bash |
d_bash_4634 | ---
+++
@@ -20,7 +20,7 @@
OPENBLAS_INSTALL_PATH="/usr"
apt-get update
apt-get install -y gfortran gfortran-5
-sudo rm -rf ${OPENBLAS_SRC_PATH}
+rm -rf ${OPENBLAS_SRC_PATH}
git clone -b release-0.3.0 https://github.com/xianyi/OpenBLAS ${OPENBLAS_SRC_PATH}
cd ${OPENBLAS_SRC_PATH}
# Pick up fix for OpenBLAS issue ... | bash |
d_bash_4635 | ---
+++
@@ -19,4 +19,16 @@
fi
}
+source_from_share() {
+ source_maybe "/usr/share/$1" ||
+ source_maybe "/usr/local/share/$1" ||
+ source_maybe "/opt/local/share/$1"
+}
+
+source_from_share zsh-autosuggestions/zsh-autosuggestions.zsh
+
source_maybe ~/.config/zsh/local-config.zsh
+
+source_fr... | bash |
d_bash_4636 | ---
+++
@@ -11,6 +11,7 @@
#git config user.email "$COMMIT_AUTHOR_EMAIL"
# Minimum viable bump
+npm config set git-tag-version true
npm version patch
# Push to remote | bash |
d_bash_4637 | ---
+++
@@ -34,6 +34,11 @@
# Install python dependencies
# conda (fast)
conda install --yes --quiet cython nose ipython h5py pandas python-gflags
+
+# XXX
+conda list
+pip list
+
# pip (slow)
for req in $(cat python/requirements.txt); do pip install $req; done
| bash |
d_bash_4638 | ---
+++
@@ -8,7 +8,7 @@
git config --global user.name formly-bot
echo "setting remote"
-git remote set-url origin https://formly-bot:$BOT_GH_TOKEN@github.com/formly-js/angular-formly.git
+git remote set-url origin https://formly-bot:$BOT_GH_TOKEN@github.com/formly-js/angular-formly.git >/dev/null 2>/dev/null
e... | bash |
d_bash_4639 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
-if [ -n $DISPLAY ]; then
+if [ -s $DISPLAY ]; then
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
source $DIR/run_x_commands.sh
| bash |
d_bash_4640 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/bash
+export GALAXY_TEST_UPLOAD_ASYNC=false
+export GALAXY_TEST_DB_TEMPLATE=https://github.com/jmchilton/galaxy-downloads/raw/master/db_gx_rev_0127.sqlite
./src/prepare_galaxy.sh run_test
| bash |
d_bash_4641 | ---
+++
@@ -18,12 +18,10 @@
exit 1
fi
-if [[ $(echo "${image}" | grep "jre") == "" ]]; then
- echo "Building Java project"
- if [[ $(docker run --user "${user}" --rm --volume "${PWD}:${home}/project" --workdir "${home}/project" "${image}" gradle --no-daemon clean test | grep "BUILD SUCCESSFUL") == "" ]]... | bash |
d_bash_4642 | ---
+++
@@ -6,8 +6,6 @@
# errcho() { echo "$@" 1>&2; } # writes to stderr, will not be interpreted as YAML
# errcho "debug"
-
-. .settings.sh
if [ -e .use-python-3.flag ]; then
image=py3 | bash |
d_bash_4643 | ---
+++
@@ -13,6 +13,6 @@
echo $CAS_TO_ROTATE | jq -r .[] | while read object; do
./credhub regenerate --name $object > /dev/null
#Hackily set the value to include the prior certificate for gradual rotation
- ./credhub set --type certificate --name $object --certificate "$(./credhub g -n $object --versions 2 ... | bash |
d_bash_4644 | ---
+++
@@ -1,3 +1,5 @@
#!/bin/sh
-time tre makefiles/make.lisp
+rm -rf compiled
+mkdir compiled
+time tre makefiles/make.lisp && cp -rv css js media compiled && cp -v config.php compiled/config.php.example | bash |
d_bash_4645 | ---
+++
@@ -7,7 +7,7 @@
NATIVES_DIR="$BASE_DIR/natives"
BASE_LOC="${SFTP_USER}@${SFTP_HOST}"
-ssh "$BASE_LOC" "mkdir -p '$NATIVES_DIR'"
+ssh -o "StrictHostKeyChecking no" "$BASE_LOC" "mkdir -p '$NATIVES_DIR'"
mv "$(ls TachiServer/build/libs | grep TachiServer-all)" /tmp/server.jar
| bash |
d_bash_4646 | ---
+++
@@ -18,10 +18,10 @@
check_if_plugin_exists $plugin
check_if_version_exists $plugin $version
- if [ -f $file ] && grep $plugin $file > /dev/null; then
- sed -i -e "s/$plugin .*/$plugin $version/" $file
+ if [ -f "$file" ] && grep $plugin "$file" > /dev/null; then
+ sed -i -e "s/$plugin .*/$plug... | bash |
d_bash_4647 | ---
+++
@@ -1,3 +1,5 @@
#!/usr/bin/env bash
+gpg --keyserver hkp://keys.gnupg.net --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3
+
curl -sSL https://get.rvm.io | bash -s $1 | bash |
d_bash_4648 | ---
+++
@@ -2,6 +2,7 @@
discnum=$(basename $1)
if [ "$discnum" != 1 ]; then exit 0; fi
if [ -e $2/boot/kernel ]; then exit 0; fi
+profile=$(basename $2)
if [[ $profile =~ ^sle.* ]]; then
if ls $1/Product-* >& /dev/null; then
@@ -15,7 +16,6 @@
ln -s $1/boot/x86_64/loader/initrd $2/boot/initramfs/distributi... | bash |
d_bash_4649 | ---
+++
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-if [ -z "$TRAVIS_TAG" ] then
+if [ -z "$TRAVIS_TAG" ]; then
echo "Not on a tag, skipping deployment."
exit 0
fi | bash |
d_bash_4650 | ---
+++
@@ -27,3 +27,6 @@
done
sed -e 's/^/ystk\//g' -i $OUTPUTFILE
echo "meta-debian/linux-ltsi" >> $OUTPUTFILE
+echo "meta-debian/qemu" >> $OUTPUTFILE
+echo "meta-debian/gnu-config" >> $OUTPUTFILE
+echo "meta-debian/pseudo" >> $OUTPUTFILE | bash |
d_bash_4651 | ---
+++
@@ -7,6 +7,6 @@
make
ctest -V
ctest -T memcheck | tee memcheck.out
-if grep -q 'Memory Leak' memcheck.out; then
+if grep -q 'Memory Leak\|IPW\|Uninitialized Memory Conditional' memcheck.out; then
exit 1
fi | bash |
d_bash_4652 | ---
+++
@@ -17,11 +17,11 @@
mkdir $BASE_DIR
mkdir $HOME_DIR
-cp ../../$NAME.jar $BASE_DIR
+cp ../../../$NAME.war $BASE_DIR
chown -R $USER:$GROUP $BASE_DIR
-cp init/upstart/$NAME.conf /etc/init
+cp $NAME.conf /etc/init
chmod +x /etc/init/$NAME.conf
service $NAME start | bash |
d_bash_4653 | ---
+++
@@ -8,4 +8,9 @@
do
ssh -o ConnectTimeout=$sshTimeout $hostsystem "virsh shutdown $i > /dev/null 2>&1"
done
-
+sleep 120
+#Start the commands going in unison.
+for i in "${storageNodes[@]}"
+do
+ ssh -o ConnectTimeout=$sshTimeout $hostsystem "virsh destroy $i > /dev/null 2>&1"
+done | bash |
d_bash_4654 | ---
+++
@@ -2,7 +2,7 @@
cd docs && pwd
-if [ "${TRAVIS_BRANCH}" = "develop" ] && [ -n "$DANGER_GITHUB_API_TOKEN" ]; then
+if [ "${TRAVIS_BRANCH}" = "master" ] && [ -n "$DANGER_GITHUB_API_TOKEN" ]; then
echo "Updating gh-pages"
git remote add upstream "https://${GH_PAGES_GITHUB_API_TOKEN}@github.com/bcylin/... | bash |
d_bash_4655 | ---
+++
@@ -2,6 +2,7 @@
#
# Run Tweet Tooter 1000
#
+cd ~/projects/TweetTooter1000
while true
do
logger "$0 Start" | bash |
d_bash_4656 | ---
+++
@@ -3,7 +3,7 @@
source /data/venvs/mrburns/bin/activate
source /home/mrburns/mrburns_env
-#svn up locale
+svn up locale
SUBJECT="[Glow2014-${DJANGO_SERVER_ENV}] l10n update error"
REV_FILE=".locale_revision"
@@ -12,26 +12,37 @@
locale_revision=$(cat $REV_FILE)
new_revision=$(svnversion -cn locale | ... | bash |
d_bash_4657 | ---
+++
@@ -1,3 +1,7 @@
+# remove stale pid files
+rm -f $APP_HOME/tmp/pids/resque-pool.pid > /dev/null 2>&1
+rm -f $APP_HOME/tmp/pids/server.pid > /dev/null 2>&1
+
# start the resque pool daemon
RUN_AT_EXIT_HOOKS=true TERM_CHILD=1 resque-pool --daemon --environment $RAILS_ENV start
| bash |
d_bash_4658 | ---
+++
@@ -4,7 +4,7 @@
ansible_run_playbook() {
echo "Running Ansible"
- ansible-playbook ansible/playbook.yml --ask-become-pass -v
+ ansible-playbook ansible/playbook.yml --ask-become-pass -v --connection=local
}
ansible_run_playbook | bash |
d_bash_4659 | ---
+++
@@ -28,7 +28,7 @@
echo "Pushing manifest plossys/blinkt:latest"
./manifest-tool push from-args \
- --platforms linux/amd64,windows/amd64 \
+ --platforms linux/amd64,linux/arm \
--template plossys/blinkt:OS-ARCH-$TRAVIS_TAG \
--target plossys/blinkt:latest
fi | bash |
d_bash_4660 | ---
+++
@@ -17,4 +17,4 @@
$PV ../../../omim-maps/$2.osm.bz2 | bzip2 -d | $GENERATOR_TOOL --preprocess_xml=true --use_light_nodes=true --intermediate_data_path=$TMPDIR
-$PV ../../../omim-maps/$2.osm.bz2 | bzip2 -d | $GENERATOR_TOOL --use_light_nodes=true --generate_features=true --generate_geometry=true --generat... | bash |
d_bash_4661 | ---
+++
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
#
# Homebrew
# | bash |
d_bash_4662 | ---
+++
@@ -6,5 +6,5 @@
# building docker images
dirname=`basename ${path}`
- docker build ${path} -t quicktry-${dirname}:latest
+ docker build -t quicktry-${dirname}:latest ${path}
done | bash |
d_bash_4663 | ---
+++
@@ -1,17 +1,19 @@
#!/bin/bash
/opt/envsubst < /envsubst_template.json > /conf/runtime.json
+
+VERSION=$(date +%y%m%d%H%M%S)
if [ "x$GIT_BRIDGE_JVM_ARGS" == "x" ]; then
GIT_BRIDGE_JVM_ARGS="-XX:+UseContainerSupport -XX:MaxRAMPercentage=50.0"
fi
if [ "$ENABLE_PROFILE_AGENT" == "true" ]; then
- GI... | bash |
d_bash_4664 | ---
+++
@@ -12,7 +12,7 @@
PORT=$(mysql -h localhost -e "select @@port" -ss $userPassArgs)
DATE=$(ls -r "$PT_STALK_COLLECT_DIR" | tail -n1 | cut -d'-' -f1)
-FILE="$HOSTNAME-$DATE.tar.gz"
+FILE="/tmp/$HOSTNAME-$DATE.tar.gz"
URL="${RG_WEB_SERVER}/index.php?action=upload&hostname=$HOSTNAME&port=$PORT"
#echo "$FIL... | bash |
d_bash_4665 | ---
+++
@@ -2,7 +2,7 @@
# This script is used to patch an third-party application.
# For example, if you want to create a patch for third_party/fuse/fuse just do:
-# ./app_diff.sh fuse-2.9.4 build/extbld/third_party/fuse/core third-party/fuse/fuse
+# ./scripts/app_diff.sh fuse-2.9.4 build/extbld/third_party... | bash |
d_bash_4666 | ---
+++
@@ -35,7 +35,7 @@
echo ${failure}
done
else
- Logger logInfoMsg ALL_TESTS_PASSED
+ Logger logInfoMsg $(StringUtil toUpperCase all_tests_passed)
fi
}
| bash |
d_bash_4667 | ---
+++
@@ -22,6 +22,4 @@
fi
# Install homebrew packages
-brew install grc coreutils spark
-
-exit 0
+brew install grc coreutils spark nvm yarn | bash |
d_bash_4668 | ---
+++
@@ -11,7 +11,7 @@
for i in matrix-js-sdk matrix-react-sdk
do
- depver=`cat package.json | jq -r .dependencies.\"$i\"`
+ depver=`cat package.json | jq -r .dependencies[\"$i\"]`
latestver=`npm show $i version`
if [ "$depver" != "$latestver" ]
then | bash |
d_bash_4669 | ---
+++
@@ -4,12 +4,12 @@
if [[ $# != 2 ]]; then
cat <<USAGE
usage:
- $0 <branch> <version>
+ $0 <refspec> <version>
- Creates tar and zip source package from origin/<branch> and documentation-zip from current checkout.
+ Creates tar and zip source package from <refspec> and documentation-zip from curren... | bash |
d_bash_4670 | ---
+++
@@ -5,7 +5,7 @@
one() {
is_met() {
- [[ ! -z $foo ]]
+ [[ -z $bar ]] && [[ ! -z $foo ]]
}
meet() {
@@ -15,7 +15,7 @@
two() {
is_met() {
- [[ ! -z $bar ]]
+ [[ -z $foo ]] && [[ ! -z $bar ]]
}
meet() { | bash |
d_bash_4671 | ---
+++
@@ -1,2 +1,8 @@
cp /etc/rethinkdb/default.conf.sample /etc/rethinkdb/instances.d/instance1.conf
+
+echo "" >> /etc/rethinkdb/instances.d/instance1.conf
+# Make port-forwarding for the rethinkdb admin work.
+echo "bind=0.0.0.0" >> /etc/rethinkdb/instances.d/instance1.conf
+
sudo /etc/init.d/rethinkdb restart... | bash |
d_bash_4672 | ---
+++
@@ -5,7 +5,7 @@
set -o vi
# virtualenvs
-if [ -x /etc/bash_completion.d/virtualenvwrapper] ; then
+if [ -x /etc/bash_completion.d/virtualenvwrapper ] ; then
source /etc/bash_completion.d/virtualenvwrapper
fi
| bash |
d_bash_4673 | ---
+++
@@ -17,7 +17,7 @@
for entry in changelogs/unreleased/*; do
- while read -r line; do
+ while read -r line || [[ -n "$line" ]]; do
declare "$(echo "${line}" | cut -d ':' -f1)"="$(echo ${line} | cut -d ':' -f2)"
done < "$entry"
| bash |
d_bash_4674 | ---
+++
@@ -10,7 +10,7 @@
FLY_CMD_URL="${CONCOURSE_URL}/api/v1/cli?arch=amd64&platform=$(uname | tr '[:upper:]' '[:lower:]')"
echo "Downloading fly command..."
-curl "$FLY_CMD_URL" -L -f -k -z "$FLY_CMD" -o "$FLY_CMD" -u "${CONCOURSE_ATC_USER}:${CONCOURSE_ATC_PASSWORD}"
+curl "$FLY_CMD_URL" -# -L -f -k -z "$FLY_C... | bash |
d_bash_4675 | ---
+++
@@ -3,11 +3,11 @@
if test ! $(which rbenv)
then
echo " Installing rbenv for you."
- brew install rbenv > /tmp/rbenv-install.log
+ sudo apt-get install rbenv > /tmp/rbenv-install.log
fi
if test ! $(which ruby-build)
then
echo " Installing ruby-build for you."
- brew install ruby-build > /tmp/... | bash |
d_bash_4676 | ---
+++
@@ -5,6 +5,8 @@
package_list=(
${base_package}
+ ${base_package}/pushbullet
+ ${base_package}/pushbullet/pushes
)
if [ ! -d ${base_path}/coverprofile ] | bash |
d_bash_4677 | ---
+++
@@ -1,6 +1,7 @@
#!/bin/bash
php bin/wait-for-db.php
-vendor/bin/doctrine orm:schema-tool:update --force --complete
+vendor/bin/laminas rebuild-database
+vendor/bin/laminas load-data-fixture --path=module/*/data/*
apache2-foreground | bash |
d_bash_4678 | ---
+++
@@ -1,5 +1,9 @@
#!/bin/bash
-FLOW=$(readlink -f $1)
+if [[ "$OSTYPE" == "darwin"* ]]; then
+ FLOW=$(pwd -P)/$1
+else
+ FLOW=$(readlink -f $1)
+fi
cd "$(dirname "${BASH_SOURCE[0]}")"
passed=0
failed=0 | bash |
d_bash_4679 | ---
+++
@@ -18,4 +18,4 @@
rm -f diozero-${version}.zip
-zip -j diozero-${version}.zip $files
+zip -j target/diozero-${version}.zip $files | bash |
d_bash_4680 | ---
+++
@@ -1,5 +1,4 @@
#!/bin/bash
-# http://www.opscode.com/chef/install
if [ "${CHEF_VERSION}" == "none" ]; then
exit
@@ -11,6 +10,6 @@
INSTALL_ARGS="-v ${CHEF_VERSION}"
fi
-curl -LO https://www.opscode.com/chef/install.sh
+curl -LO https://www.chef.io/chef/install.sh
bash ./install.sh "${INSTALL... | bash |
d_bash_4681 | ---
+++
@@ -1,6 +1,16 @@
function rbin {
- http post requestb.in/api/v1/bins | \
- jq .name | \
- xargs -I {} echo "http://requestb.in/{}?inspect" | \
- xargs open
+ # Create bin and parse its name
+ name="$(http post requestb.in/api/v1/bins | jq --raw-output .name)"
+
+ # Form a URL
+ url="http://requestb... | bash |
d_bash_4682 | ---
+++
@@ -1,6 +1,6 @@
# example of startup script for Phusion Passenger standalone
# start passenger server once manually as 'sudo' first so passenger is installed
-# place file in /etc/rc.d
+# place file in /usr/local/etc/rc.d
# chmod +x to make script executable
# set rcvar to "YES" in /etc/rc.conf
# start a... | bash |
d_bash_4683 | ---
+++
@@ -3,5 +3,5 @@
echo "TRAVIS_NODE_VERSION: ${TRAVIS_NODE_VERSION}"
if [ ${TRAVIS_NODE_VERSION} = '5.9' ]; then
- npm install -g phantomjs-prebuilt@2.1.7
+ npm install -g phantomjs@1.9.18
fi | bash |
d_bash_4684 | ---
+++
@@ -6,5 +6,5 @@
#
###############################################################################
-SPARK_CONFIG=cloudera-framework-parent/${project.artifactId}/target/classes/python/spark-defaults.conf
+SPARK_CONFIG=cloudera-framework-parent/${project.artifactId}/target/test-python/python/spark-defaults.c... | bash |
d_bash_4685 | ---
+++
@@ -9,7 +9,7 @@
echo "https://github.com/bell-sw/Liberica/releases/download/11.0.17+7/bellsoft-jdk11.0.17+7-linux-amd64.tar.gz"
;;
java17)
- echo "https://github.com/bell-sw/Liberica/releases/download/17.0.4.1+1/bellsoft-jdk17.0.4.1+1-linux-amd64.tar.gz"
+ echo "https://github.com/bell-sw/Liberica... | bash |
d_bash_4686 | ---
+++
@@ -12,11 +12,11 @@
# Recompress input
echo "Recompressing: $input"
tmp=`mktemp --suffix=.mp3`
- lame --quiet "$input" -V 4 "$tmp"
+ lame --quiet "$input" -b 128 "$tmp"
mv "$tmp" "$input"
echo "Setting gain level"
- mp3gain -r "$input"
+ mp3gain -q -c -r "$input"
else
echo "... | bash |
d_bash_4687 | ---
+++
@@ -4,10 +4,10 @@
go_pkg="github.com/buildkite/buildkite-metrics"
go_src_dir="/go/src/${go_pkg}"
version=$(awk -F\" '/const Version/ {print $2}' version/version.go)-${BUILDKITE_BUILD_NUMBER}
-dist_file="build/buildkite-metrics-${version}-lambda.zip"
+dist_file="dist/buildkite-metrics-${version}-lambda.zip"... | bash |
d_bash_4688 | ---
+++
@@ -21,7 +21,7 @@
DMG_SRC_DIR="${CONFIGURATION_TEMP_DIR}/${SRC_PRODUCT}-${SRC_PRODUCT_VERSION}"
if [ -e "$DMG_DST_PATH" ] ; then
- rm -rf "$DMG_DST_PATH" || exit 1
+ rm -rf "$DMG_DST_PATH"
fi
mkdir -p "${DMG_SRC_DIR}"
@@ -29,6 +29,6 @@
cp "${SRC_PRODUCT_PATH}/Contents/Resources/README.html" "${DMG_SR... | bash |
d_bash_4689 | ---
+++
@@ -9,6 +9,7 @@
(cd cmds && CGO_ENABLED=0 go test -a -installsuffix cgo -ldflags '-s' ./...)
(cd cmds && CGO_ENABLED=0 go test -cover ./...)
go tool vet cmds uroot netlink memmap
-# until we figure out what's going on. It's doing the whole directory. scripts/ramfs.go scripts/getimports.go
+ go tool vet ... | bash |
d_bash_4690 | ---
+++
@@ -1,9 +1,29 @@
-#!/bin/sh
+#!/bin/bash
#Build script for jenkins
+
+#Send files to dev directory
rsync -a --delete --exclude /var/cache/ --exclude /var/logs/ --exclude /var/sessions/ $WORKSPACE/ /www/aprogrammingpodcast.com/bleeding/ --no-perms --no-owner --no-group
+
+#Copy in special config from Jenkins... | bash |
d_bash_4691 | ---
+++
@@ -30,13 +30,13 @@
if [ ! $tarball -a ! $zipball ]; then
cp -r Ricty*.ttf LICENSE README.md /out
elif [ $tarball -o $zipball ]; then
- outdir="Ricty-v${RICTY_VERSON}"
+ outdir="Ricty-v${RICTY_VERSION}"
mkdir $outdir
cp -r Ricty*.ttf LICENSE README.md $outdir
if [ $tarball ]; then
tar -c... | bash |
d_bash_4692 | ---
+++
@@ -5,10 +5,10 @@
}
function readcsv {
- column -t -s ',' ${1:--} | less -S -# 10
+ column -t -s ',' ${1} | less -S -# 10
}
function readtsv {
- column -t -s $'\t' ${1:--} | less -S -# 10
+ column -t -s $'\t' ${1} | less -S -# 10
}
| bash |
d_bash_4693 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/sh
-# move dtunnel to /usr/bin/dtunnel
+# move dtunnel to $HOME/bin/dtunnel
# echo "mypassword" > $HOME/.ssh/pw
cat $HOME/.ssh/pw | sudo -S killall -9 dtunnel
@@ -8,8 +8,8 @@
# the server side
-cat $HOME/.ssh/pw | sudo -S nice -n -10 /home/tomy/bin/dtunnel --reg node1.domain.c... | bash |
d_bash_4694 | ---
+++
@@ -1,3 +1,4 @@
##depends:none
-curl -L http://$NIC_MIRROR/pub/sci/molbio/chipster/dist/tools_extras/R/R-3.3.2-vmbin/R-3.3.2_ubuntu-16.04_2016-11-28.tar.gz | tar -xz -C ${TOOLS_PATH}/
+#curl -L http://$NIC_MIRROR/pub/sci/molbio/chipster/dist/tools_extras/R/R-3.3.2-vmbin/R-3.3.2_ubuntu-16.04_2016-11-28.tar.... | bash |
d_bash_4695 | ---
+++
@@ -12,6 +12,7 @@
alias javarepl='java -jar /usr/local/lib/javarepl.jar'
alias trs='trash'
alias b2='boot2docker'
+alias serve='open http://localhost:8080 && static'
# load virtualenvwrapper
[ -f /usr/local/bin/virtualenvwrapper.sh ] && source /usr/local/bin/virtualenvwrapper.sh; | bash |
d_bash_4696 | ---
+++
@@ -6,6 +6,7 @@
sudo apt-get install -y python-software-properties software-properties-common
sudo add-apt-repository -y ppa:awstools-dev/awstools
+sudo add-apt-repository -y ppa:ubuntu-lxc/stable
sudo apt-get update -y
| bash |
d_bash_4697 | ---
+++
@@ -5,4 +5,4 @@
cd build
../configure
make
-qrsh -b y -cwd -pe orte 2 mpirun jdemon-mpi
+qrsh -b y -cwd -pe orte 2 mpirun jdemon-mpi --iterations 1000 | bash |
d_bash_4698 | ---
+++
@@ -10,13 +10,13 @@
# replace all multi-spaces with a single space
gsub(/\s+/, " ", $0);
- col1Len = 20;
+ colLen = 20;
aliasLen = length($1);
- tab1len = col1Len - aliasLen;
+ tablen = colLen - aliasLen;
printf " " $1 " "
- fo... | bash |
d_bash_4699 | ---
+++
@@ -9,7 +9,7 @@
exit 1
fi
-CURRENT_DIRECTORY=$(realpath $(dirname $0))
+CURRENT_DIRECTORY=$(readlink -f $(dirname $0))
XWALK_EXECUTABLE="$1"
BRACKETS_PATH="$2"
| bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.